package helpers;

public class Helpers {
	
	public static boolean sentenceInRange(int sizeOfPart, int sentenceIndex, int partIndex)
	{
		
		if(partIndex<0)
			return false;
		
		return ((sentenceIndex > sizeOfPart*partIndex) &&
				(sentenceIndex <= sizeOfPart*(partIndex+1)));
	}
	
	public static char getFirstNonWhitespaceChar(String str)
	{
		for(int i = 0; i < str.length(); ++i)
			if (str.charAt(i) != ' ')
				return str.charAt(i);
		return ' ';
	}
	
	public static int findMatchingBracket(String str, int openBrackIndex)
	{
		int counter = 0;
		if (str.charAt(openBrackIndex)!= '(')
			return -1;
		else
			for (int i = openBrackIndex+1; i < str.length(); ++i)
			{
				switch(str.charAt(i)) 
				{
					case '(':
						counter++;
						break;
					case ')':
					if (counter == 0)
						return i;
					else
						counter--;
					break;
				}
			}
		return -1;
	}
	
}
