package model;

import java.util.Vector;

public class ParseTable extends Vector<TreeNode[]>{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	public ParseTable(Vector<String> sent)
	{
		super(sent.size()+1);
		for(int i = 0; i <= sent.size(); i++)
			add(new TreeNode[i+1]);	
	}
	
	public TreeNode get(int i, int j)
	{
		if(i >= size())
			return null;
		return this.get(j)[i];
	}
	
	public void set(int i, int j, TreeNode tree)
	{
		this.get(j)[i] = tree;	
	}

}
